Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1685647 - [marketplace] Operator has unnecessary ClusterRoles
Summary: [marketplace] Operator has unnecessary ClusterRoles
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.1.0
Assignee: aravindh
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-05 17:31 UTC by aravindh
Modified: 2019-03-22 13:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Moving to using grpc CatalogSources, the operator is dealing with more resources like `Services` and `Deployments`. Initially there were being created in a different namespace that required a `ClusterRole`. But the final implementation saw the resources being created in the same namespace. Consequence: Operator has unnecessary ClusterRoles Fix: Add a regular Role and RoleBinding for grpc resources Result: Operator now has the correct Roles and ClusterRoles
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 Fan Jia 2019-03-11 08:28:04 UTC
the lastest accepted clusterversion is:4.0.0-0.nightly-2019-03-06-074438 
the marketplace's commit is "aabac93da42773f29c4230bd8b7906facc6c42f9" (doesn't include this pr) 
will test after this pr is included


Note You need to log in before you can comment on or make changes to this bug.